package com.qualcomm.qti.snpe.imageclassifiers.thread;

import android.graphics.Bitmap;
import android.graphics.PointF;

public class ImageSlice {
    private int frameId;
    private Bitmap bmp;
    private SliceCropBox sliceCropBox;

    public ImageSlice(int frameId, Bitmap bmp, SliceCropBox sliceCropBox) {
        this.frameId = frameId;

        this.bmp = bmp;
        this.sliceCropBox = sliceCropBox;
    }

    public int getFrameId() {
        return frameId;
    }

    public void setFrameId(int frameId) {
        this.frameId = frameId;
    }

    public Bitmap getBmp() {
        return bmp;
    }

    public void setBmp(Bitmap bmp) {
        this.bmp = bmp;
    }



    public SliceCropBox getSliceCropBox() {
        return sliceCropBox;
    }

    public void setSliceCropBox(SliceCropBox sliceCropBox) {
        this.sliceCropBox = sliceCropBox;
    }
}
